tidbits.h(3)

NAME
tidbits.h

SYNOPSIS

#include <Inventor/C/basic.h>
#include <stdarg.h>

  Typedefs
typedef void coin_atexit_f(void)

  Enumerations
enum CoinEndiannessValues { COIN_HOST_IS_UNKNOWNENDIAN = -1, COIN_HOST_IS_LITTLEENDIAN = 0, COIN_HOST_IS_BIGENDIAN = 1 }

  Functions
int coin_host_get_endianness (void)
int coin_snprintf (char *dst, unsigned int n, const char *fmtstr,...)
int coin_vsnprintf (char *dst, unsigned int n, const char *fmtstr, va_list args)
const char * coin_getenv (const char *name)
SbBool coin_setenv (const char *name, const char *value, int overwrite)
void coin_unsetenv (const char *name)
int coin_strncasecmp (const char *str1, const char *str2, int len)
uint16_t coin_hton_uint16 (uint16_t value)
uint16_t coin_ntoh_uint16 (uint16_t value)
uint32_t coin_hton_uint32 (uint32_t value)
uint32_t coin_ntoh_uint32 (uint32_t value)
uint64_t coin_hton_uint64 (uint64_t value)
uint64_t coin_ntoh_uint64 (uint64_t value)
void coin_hton_float_bytes (float value, char *result)
float coin_ntoh_float_bytes (const char *value)
void coin_hton_double_bytes (double value, char *result)
double coin_ntoh_double_bytes (const char *value)
SbBool coin_isascii (const int c)
SbBool coin_isspace (const char c)
SbBool coin_is_power_of_two (uint32_t x)
uint32_t coin_next_power_of_two (uint32_t x)
uint32_t coin_geq_power_of_two (uint32_t x)
void coin_viewvolume_jitter (int numpasses, int curpass, const int *vpsize, float *jitter)
void cc_coin_atexit (coin_atexit_f *fp)
void cc_coin_atexit_static_internal (coin_atexit_f *fp)

Function Documentation

  void cc_coin_atexit_static_internal (coin_atexit_f * fp)
Internal function used for cleaning up static data. Do not use from application code.

Author

Generated automatically by Doxygen for Coin from the source code.